Subject: [PATCH] sh-pfc: r8a7791 PFC support V2

From: [email-masked] (Sergei Shtylyov)
Date: Wed, 30 Oct 2013 00:40:39 +0300

On 10/30/2013 12:35 AM, Sergei Shtylyov wrote:

>>> From: Hisashi Nakamura <[email-masked]>

>>> Add PFC support for the r8a7791 SoC V2 including pin groups for
>>> on-chip devices such as MSIOF, SCIF, USB, MMC, SDHI, DU.

>>> Signed-off-by: Hisashi Nakamura <[email-masked]>
>>> Signed-off-by: Kunihito Higashiyama <[email-masked]>
>>> Signed-off-by: Yoshikazu Fujikawa <[email-masked]>
>>> Signed-off-by: Nobuyuki HIRAI <[email-masked]>
>>> Signed-off-by: Shinobu Uehara <[email-masked]>
>>> Signed-off-by: Koji Matsuoka <[email-masked]>
>>> Signed-off-by: Ryo Kataoka <[email-masked]>
>>> [damm at opensource.se: Forward ported to upstream, minor fixes]
>>> Signed-off-by: Magnus Damm <[email-masked]>
> [...]

>>> --- /dev/null
>>> +++ work/drivers/pinctrl/sh-pfc/pfc-r8a7791.c    2013-10-17
>> 06:35:00.000000000

> [...]

>> I'm still a bit unsure about the DU pin groups. Would it be possible to get
>> access to the SoC datasheet ?

>> In the worst case I can take the patch as-is and fix any issue later, as the
>> DU driver doesn't support the r8a7791 yet anyway. So,

>> Acked-by: Laurent Pinchart <[email-masked]>

>> I've taken the patch to my tree and will push it as-is, or with modifications
>> to the DU pin groups as needed if I can get access to the documentation before
>> the next merge window.

>     Looks like it got stuck in your tree? I have my Ether work run-time
> dependent on this patch...

    Ah, seeing your pull request now but it looks like Linus hasn't pulled yet...

WBR, Sergei